Hide/show group of parts

Discussion in 'SolidWorks' started by Matt Zimmerman, Oct 25, 2004.

  1. Is there a way to select a group of parts in model space and hide the rest
    of the assembly. I am using 2004
     
    Matt Zimmerman, Oct 25, 2004
    #1
  2. Matt Zimmerman

    Scott Guest

    No you can only select parts then hide those. If you want to hide other
    parts then you will have to pick those. You can do it either in the Graphics
    area of in the FM.

    Regards,
    Scott
     
    Scott, Oct 25, 2004
    #2
  3. Just a thought here. A macro should be able to traverse the FM tree and
    reverse the selections. Then you could tell it to hide, suppress, etc.

    WT
     
    Wayne Tiffany, Oct 25, 2004
    #3
  4. Matt Zimmerman

    P Guest

    As an exercise for the student, make this macro a noshow. Hint: look
    for the hidebodies method. Must preselect items to show or hide.

    ' ******************************************************************************
    ' SHOW.swb - macro recorded on 06/21/04 by kellnerp
    ' ******************************************************************************
    Dim swApp As Object
    Dim Part As Object
    Dim boolstatus As Boolean
    Dim longstatus As Long, longwarnings As Long
    Dim FeatureData As Object
    Dim Feature As Object
    Dim Component As Object
    Sub main()

    Set swApp = Application.SldWorks

    Set Part = swApp.ActiveDoc
    Part.FeatureManager.ShowBodies
    Part.ClearSelection2 True

    End Sub
     
    P, Oct 25, 2004
    #4
  5. Matt Zimmerman

    TinMan Guest

    TinMan, Oct 30, 2004
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.